// Début pour la liste 


function refreshSondage() {
    console.log("Initialisation du refresh du sondage..."); 

    var idGrille = __DOCTEUR__.idLastGrille;
    var nbChampsGrille = __LISTEGRILLES__[idGrille].libelleFonctions.length;
    var valgrille = 0;
    		
    var currentData = getCurrentDataGrille();

    resetSondage();

    console.log("Début du refresh du sondage...");
    // Itération sur le nombre de champs (MIF = 18, ...)        
    for (var i = 0; i < nbChampsGrille; i++) {
        valgrille = currentData[i] - 1;
    	$(".listesondage").eq(i).find("input").eq(valgrille).prop("checked", true);
    }
    console.log("Fin du refresh du sondage.");
}



function resetSondage() {
        console.log("Début du reset du sondage...");
        
        $(".listesondage").find("input").prop("checked", false);
        
        console.log("Fin du reset du sondage.");
}



function updateSondage(that)
{
    // Infos sur la grille
	var idGrille = __DOCTEUR__.idLastGrille;
	var nbChampsGrille = __LISTEGRILLES__[idGrille].libelleFonctions.length;
	
	var valeur_champ = $(that).val();
    var valclinimetre = grilleToClinimetre(valeur_champ);
    var id_champ = $(that).parents().eq(1).attr('name');

    // On désactive l'ancien radiobutton et active le nouveau
    $("#fonctions_liste_ligne_" + id_champ).find("input").prop("checked", false);
    $("#fonctions_liste_valeurs_" + id_champ + " > #fonctions_liste_valeur_"+valeur_champ).prop("checked", true);

    // On met à jour l'id de la fonction pour qu'il correspond à celui du localStorage
    var id_fonction = parseInt(id_champ) + 1;

    // On sauvegarde les données du localStorage
    saveLSClinimetreValue(valclinimetre, id_fonction);

    // On rafraichit le sondage avec les nouvelles données du LS
   	refreshSondage();

    // On crée la valeur du pas pour le thermomètre
    var lvlgrillemin = __LISTEGRILLES__[idGrille].nivGrilleMin;
    var lvlgrillemax = __LISTEGRILLES__[idGrille].nivGrilleMax;

    var nbValGrille = (lvlgrillemax - lvlgrillemin + 1);

    var valgrille = __NBLVLTHERMO__/nbValGrille * valeur_champ - __NBLVLTHERMO__/(2*nbValGrille);

    // On met à jour le curseur
    updateCurseur(valgrille);

    // On met à jour les valeurs clinimetre et grille aux bords du thermomètre
    updateValeurClinimetreGrille(valclinimetre);        
    
    // On met à jour le détail du score de la fonction courante
    updateSubGrille(valeur_champ);
    
    // On injecte la nouvelle valeur dans le localStorage et les variables globales
    saveLSClinimetreValue(valclinimetre);
    
    // On met à jour le radar à partir du localStorage
    //updateRadar();


    //updateScore();
    
    
}





// Fin pour la liste 